@import "package:angular_components/css/material/material";
@import "package:angular_components/css/material/shadow";
@import "package:angular_components/material_chips/mixins";

:host {
  .main {
    height: 100%;
    display: flex;
    flex-direction: column;
  }

  .header {
    padding: $mat-grid;
    display: flex;
    justify-content: space-between;
    align-items: center;

    .title {
      display: flex;
      align-items: center;

      .content {
        margin-left: $mat-grid;
      }
    }

    h2 {
      @include mat-font-title;
      margin: 0;
      margin-left: $mat-grid;
    }
  }
  .control-panel {
    display: inline-block;
    padding: $mat-grid;
  }
  .data-viewer {
    padding: $mat-grid;
  }
  .footer {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;

    .clickable {
      @include material-chips-clickable();
    }

    .dense {
      @include chips-dense-theme();
    }

    .pagination {
      flex: 0 0 auto;
      display: flex;
      align-items: center;

      // h6 {
      //     @include mat-font-
      // }
    }
  }
}
